# Gnome::Gda::SqlBuilderError Class Reference

Inheritance diagram for Gnome::Gda::SqlBuilderError:
[legend]
Collaboration diagram for Gnome::Gda::SqlBuilderError:
[legend]

List of all members.

## Public Types

enum | Code { SQL_BUILDER_WRONG_TYPE_ERROR, SQL_BUILDER_MISUSE_ERROR }

## Public Member Functions

| SqlBuilderError (Code error_code, const Glib::ustring& error_message)
| SqlBuilderError (GError* gobject)
Code | code () const

## Member Enumeration Documentation

enum Gnome::Gda::SqlBuilderError::Code

Enumerator:

  SQL_BUILDER_WRONG_TYPE_ERROR |
  SQL_BUILDER_MISUSE_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::SqlBuilderError::SqlBuilderError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::SqlBuilderError::SqlBuilderError | ( | GError * | gobject ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::SqlBuilderError::code | ( | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- libgdamm/sqlbuilder.h